> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1voiceaccounts



## OpenAPI

````yaml https://api.comm.com/docs/api.json put /v1/voice/accounts/{account}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/accounts/{account}:
    put:
      tags:
        - VoiceAccounts
      operationId: voice.accounts.update
      parameters:
        - name: account
          in: path
          required: true
          description: The account ID
          schema:
            type: string
            format: uuid
      requestBody:
        description: '`VoiceAccountUpdateDataRequest`'
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VoiceAccountUpdateDataRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceAccount'
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    VoiceAccountUpdateDataRequest:
      type: object
      properties:
        name:
          type: string
        twilio_account_sid:
          type:
            - string
            - 'null'
        twilio_auth_token:
          type:
            - string
            - 'null'
        default_voice_id:
          type:
            - string
            - 'null'
        region:
          type: string
          default: us1
      required:
        - name
      title: VoiceAccountUpdateDataRequest
    VoiceAccount:
      type: object
      properties:
        id:
          type: string
        team_id:
          type: string
        meta:
          type: array
          items: {}
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - team_id
        - meta
        - created_at
        - updated_at
      title: VoiceAccount
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````